# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "kube"
version = "0.12.0"
authors = ["clux <sszynrae@gmail.com>", "ynqa <un.pensiero.vano@gmail.com>"]
description = "Kubernetes client in the style of client-go"
readme = "README.md"
keywords = ["kubernetes", "reflector", "informer", "client-go", "client-rust"]
categories = ["web-programming::http-client"]
license-file = "LICENSE"
repository = "https://github.com/clux/kube-rs"
[dependencies.base64]
version = "0.9.3"

[dependencies.dirs]
version = "1.0.4"

[dependencies.either]
version = "1.5.2"

[dependencies.failure]
version = "0.1.2"

[dependencies.http]
version = "0.1.17"

[dependencies.k8s-openapi]
version = "0.4.0"
optional = true

[dependencies.log]
version = "0.4.6"

[dependencies.openssl]
version = "0.10.12"

[dependencies.reqwest]
version = "0.9.17"

[dependencies.serde]
version = "1.0.90"

[dependencies.serde_derive]
version = "1.0.90"

[dependencies.serde_json]
version = "1.0.39"

[dependencies.serde_yaml]
version = "0.8.8"

[dependencies.url]
version = "1.7.2"
[dev-dependencies.env_logger]
version = "0.6.1"

[dev-dependencies.k8s-openapi]
version = "0.4.0"
features = ["v1_13"]

[dev-dependencies.tempfile]
version = "3.0.7"

[features]
default = []
openapi = ["k8s-openapi"]
